Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162144 - 'perms' is used uninitialized in this function
Summary: 'perms' is used uninitialized in this function
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: httpd
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-30 10:10 UTC by David Binderman
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 2.0.54-11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-14 13:57:23 UTC


Attachments (Terms of Use)

Description David Binderman 2005-06-30 10:10:18 UTC
Description of problem:

I just tried to compile package httpd-2.0.54-10 from Redhat
Fedora Core development tree with the gcc 4.0.0 compiler and
the compiler flag -Wall.

The compiler said

/usr/src/redhat/BUILD/httpd-2.0.54/modules/dav/fs/repos.c:326: warning: 'perms'
is used uninitialized in this function

The source code is

    apr_fileperms_t perms;

    if (pbuf == NULL)
        pbuf = &work_buf;

    /* Determine permissions to use for destination */
    if (src_finfo && src_finfo->valid & APR_FINFO_PROT
        && src_finfo->protection & APR_UEXECUTE) {
        if (dst_finfo != NULL) {
            /* chmod it if it already exist */
            if (apr_file_perms_set(dst, perms)) {

I agree with the compiler. Suggest initialise local variable "perms"
before first use.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Joe Orton 2005-06-30 10:32:01 UTC
Thanks, yes, the perms = ... line is supposed to be before the
apr_file_perms_set call.


Note You need to log in before you can comment on or make changes to this bug.